CREATE TABLE inv_zone_tasks (
    ZONE_TASK_ID                    NUMBER(18, 0) ,
    ORGANIZATION_ID                 NUMBER(18, 0)     NOT NULL,
    ACTIVITY_TYPE_CODE              VARCHAR2(120)     NOT NULL,
    ACTIVITY_REFERENCE_ID           NUMBER(18, 0) ,
    ACTIVITY_REFERENCE_CODE         VARCHAR2(480) ,
    ACTIVITY_REFERENCE_NAME         VARCHAR2(960) ,
    TASK_NAME                       VARCHAR2(960) ,
    ASSIGNMENT_STATUS_CODE          VARCHAR2(120)     NOT NULL,
    ASSIGNED_BY_PERSON_ID           NUMBER(18, 0) ,
    ASSIGNMENT_METHOD               VARCHAR2(120) ,
    CREATION_METHOD                 VARCHAR2(120)     NOT NULL,
    TASK_STATUS_CODE                VARCHAR2(120)     NOT NULL,
    PRIORITY                        VARCHAR2(16)  ,
    ASSIGNED_DATETIME               TIMESTAMP(6)  ,
    START_DATETIME                  TIMESTAMP(6)  ,
    TARGET_START_DATETIME           TIMESTAMP(6)  ,
    TARGET_COMPLETION_DATETIME      TIMESTAMP(6)  ,
    TARGET_DURATION                 NUMBER(5, 0)  ,
    TARGET_DURATION_UOM             VARCHAR2(4)   ,
    COMPLETION_DATETIME             TIMESTAMP(6)  ,
    COMPLETION_METHOD               VARCHAR2(120) ,
    COMPLETED_BY_PERSON_ID          NUMBER(18, 0) ,
    SCOPE_CODE                      VARCHAR2(120)     NOT NULL,
    ZONE_ID                         NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE               VARCHAR2(40)  ,
    LOCATOR_ID                      NUMBER(18, 0) ,
    LOCATION_ID                     NUMBER(18, 0) ,
    RECURRING_TASK                  VARCHAR2(4)       NOT NULL,
    PERIOD_ID                       NUMBER(18, 0) ,
    RECURRING_TASK_DEFINITION_ID    NUMBER(18, 0) ,
    TASK_CONFIGURATION              VARCHAR2(4000),
    PURGE_ALLOWED                   VARCHAR2(4)       NOT NULL,
    TOTAL_ITEMS                     NUMBER(9, 0)  ,
    COMPLETED_ITEMS                 NUMBER(9, 0)  ,
    PROCESSED_ITEMS                 NUMBER(9, 0)  ,
    REMINDER_FLAG                   VARCHAR2(4)   ,
    REMINDER_RECURRENCE             VARCHAR2(120) ,
    REMINDER_DURATION               NUMBER(3, 0)  ,
    REMINDER_RELATIVE_TO            VARCHAR2(120) ,
    PENDING_REMINDER_COUNT          NUMBER(3, 0)  ,
    NEXT_REMINDER_DATE              DATE          ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ZONE_TASK_ID                    NUMBER(18, 0) ,
    ORGANIZATION_ID                 NUMBER(18, 0)     NOT NULL,
    ACTIVITY_TYPE_CODE              VARCHAR2(120)     NOT NULL,
    ACTIVITY_REFERENCE_ID           NUMBER(18, 0) ,
    ACTIVITY_REFERENCE_CODE         VARCHAR2(480) ,
    ACTIVITY_REFERENCE_NAME         VARCHAR2(960) ,
    TASK_NAME                       VARCHAR2(960) ,
    ASSIGNMENT_STATUS_CODE          VARCHAR2(120)     NOT NULL,
    ASSIGNED_BY_PERSON_ID           NUMBER(18, 0) ,
    ASSIGNMENT_METHOD               VARCHAR2(120) ,
    CREATION_METHOD                 VARCHAR2(120)     NOT NULL,
    TASK_STATUS_CODE                VARCHAR2(120)     NOT NULL,
    PRIORITY                        VARCHAR2(16)  ,
    ASSIGNED_DATETIME               TIMESTAMP(6)  ,
    START_DATETIME                  TIMESTAMP(6)  ,
    TARGET_START_DATETIME           TIMESTAMP(6)  ,
    TARGET_COMPLETION_DATETIME      TIMESTAMP(6)  ,
    TARGET_DURATION                 NUMBER(5, 0)  ,
    TARGET_DURATION_UOM             VARCHAR2(4)   ,
    COMPLETION_DATETIME             TIMESTAMP(6)  ,
    COMPLETION_METHOD               VARCHAR2(120) ,
    COMPLETED_BY_PERSON_ID          NUMBER(18, 0) ,
    SCOPE_CODE                      VARCHAR2(120)     NOT NULL,
    ZONE_ID                         NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE               VARCHAR2(40)  ,
    LOCATOR_ID                      NUMBER(18, 0) ,
    LOCATION_ID                     NUMBER(18, 0) ,
    RECURRING_TASK                  VARCHAR2(4)       NOT NULL,
    PERIOD_ID                       NUMBER(18, 0) ,
    TASK_CONFIGURATION              VARCHAR2(4000),
    PURGE_ALLOWED                   VARCHAR2(4)       NOT NULL,
    TOTAL_ITEMS                     NUMBER(9, 0)  ,
    COMPLETED_ITEMS                 NUMBER(9, 0)  ,
    PROCESSED_ITEMS                 NUMBER(9, 0)  ,
    REMINDER_FLAG                   VARCHAR2(4)   ,
    REMINDER_RECURRENCE             VARCHAR2(120) ,
    REMINDER_DURATION               NUMBER(3, 0)  ,
    REMINDER_RELATIVE_TO            VARCHAR2(120) ,
    PENDING_REMINDER_COUNT          NUMBER(3, 0)  ,
    NEXT_REMINDER_DATE              DATE          ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    RECURRING_TASK_DEFINITION_ID    NUMBER(18, 0) ,
    CONSTRAINT pk_inv_zone_tasks PRIMARY KEY (ZONE_TASK_ID, ZONE_TASK_ID)
);
